Skip to main content
GET
/
counterparty_groups
/
{groupId}
TypeScript
const response: Promise<FireblocksResponse<CounterpartyGroup>> = fireblocks.compliance.getCounterpartyGroup(complianceApiGetCounterpartyGroupRequest);
CompletableFuture<ApiResponse<CounterpartyGroup>> response = fireblocks.compliance().getCounterpartyGroup(groupId);
response = fireblocks.compliance.get_counterparty_group(group_id);
curl --request GET \
--url https://api.fireblocks.io/v1/counterparty_groups/{groupId}
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/counterparty_groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "groupId": "44fcead0-7053-4831-a53a-df7fb90d440f",
  "name": "APAC Financial Partners",
  "isActive": true,
  "createdAt": "2024-01-15T10:30:00Z",
  "updatedAt": "2024-01-15T10:30:00Z",
  "description": "Group for all APAC-based financial institution counterparties",
  "jurisdictionCodes": [
    "US",
    "SG"
  ]
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}

Path Parameters

groupId
string<uuid>
required

The unique identifier of the counterparty group

Response

A counterparty group object

A counterparty group used to classify counterparties for compliance and routing purposes

groupId
string<uuid>
required

Unique identifier of the counterparty group

Example:

"44fcead0-7053-4831-a53a-df7fb90d440f"

name
string
required

Human-readable name of the group

Minimum string length: 1
Example:

"APAC Financial Partners"

isActive
boolean
required

Whether the counterparty group is currently active

Example:

true

createdAt
string<date-time>
required

ISO 8601 timestamp when the group was created

Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>
required

ISO 8601 timestamp when the group was last updated

Example:

"2024-01-15T10:30:00Z"

description
string

Optional description of the group

Example:

"Group for all APAC-based financial institution counterparties"

jurisdictionCodes
string[]

List of jurisdiction codes associated with the group

Example:
["US", "SG"]